aboutsummaryrefslogtreecommitdiffstats
path: root/community/bareos
Commit message (Collapse)AuthorAgeFilesLines
* community/bareos: Fix segfaults on startupSimon Frankenberger2019-04-083-2/+95
| | | | | | | | | | This PR fixes two undefined behaviours with pthreads leading to segfaults. Fixes #10156 https://bugs.alpinelinux.org/issues/10156 (cherry picked from commit 37923bd0f6d4e33a3b7de6c23e708787c5d7d3bf)
* community/bareos: Update bareos to latest 17.2.7Simon Frankenberger2018-08-172-27/+4
|
* community/bareos: work around parallel build issueNatanael Copa2018-06-061-0/+7
|
* community/bareos: rebuild against mariadb-connector-cNatanael Copa2018-03-262-5/+29
|
* [various]: unify names of licenses according to SPDXJakub Jirutka2017-12-301-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This commit updates $license variable in all APKBUILDs to comply with short names specified by SPDX version 3.0 [1] where possible. It was done using find-and-replace method on substrings inside $license variables. Only license names were updated, not "expressions" specifying relation between the licenses (e.g. "X and Y", "X or Y", "X and (Y or Z)") or exceptions (e.g. "X with exceptions"). Many licenses have a version or multiple variants, e.g. MPL-2.0, BSD-2-Clause, BSD-3-Clause. However, $license in many aports do not contain license version or variant. Since there's no way how to infer this information just from abuild, it were left without the variant suffix or version, i.e. non SPDX compliant. GNU licenses (AGPL, GFDL, GPL, LGPL) are especially complicated. They exist in two variants: -only (formerly e.g. GPL-2.0) and -or-later (formerly e.g. GPL-2.0+). We did not systematically noted distinguish between these variants, so GPL-2.0, GPL2, GPLv2 etc. may mean GPL-2.0-only or GPL-2.0-or-later. Thus GNU licenses without "+" (e.g. GPL2+) were left without the variant suffix, i.e. non SPDX compliant. Note: This commit just fixes format of the license names, no verification has been done if the specified license information is actually correct! [1]: https://spdx.org/licenses/
* community/bareos: upgrade to 17.2.4Francesco Colista2017-12-281-42/+11
| | | | | - subpackage bareos-bat has been removed, according with the README.md: "BAT has been removed. Please use bareos-webui instead."
* community/bareos: rebuild against libressl-2.6Natanael Copa2017-11-091-1/+1
|
* community/bareos: fix checksumsValery Kartel2017-08-281-3/+3
|
* community/bareos: fix APKBUILD and init-scriptsValery Kartel2017-08-284-13/+55
| | | | | | - remove unneeded scripts - fix permissions for config-dirs, scripts and binaries - fix init-scripts to run with non-root user
* community/bareos: upgrade to 16.2.6, fixesValery Kartel2017-08-2813-166/+94
| | | | | | | | - many fixes in APKBUILD - add perl as dependency, because some scripts use it - add bat subpackage (qt administration tool) - remove conf.d files because they are obsolete and incorrect - rewrite init.d scripts
* community/bareos: rebuild against readline-7.0.003Leonardo Arena2017-06-051-1/+1
|
* community/bareos: rebuild against libressl 2.5Natanael Copa2017-04-181-1/+1
|
* community/bareos: Update config.guessBreno Leitao2017-04-111-0/+5
| | | | | Currently bareos FTBFS on ppc64le due to outdate config.guess that does not recognize the platform. Updating it before building it.
* [various] rename dependency python-dev to python2-devJakub Jirutka2016-10-261-1/+1
|
* community/bareos: rebuild against libresslNatanael Copa2016-10-101-2/+2
|
* community/bareos: fix bareos-webui - add jansson-dev to makedependsJSurf2016-09-281-2/+2
| | | | | | | | | | bareos-webui did not work after login: Error: API 2 not available on director. Please upgrade to version 15.2.1 or greater and/or compile with jansson support. See similar issue: https://bugs.bareos.org/view.php?id=543
* community/bareos: moved from testingFrancesco Colista2016-08-1910-0/+254